POST /api/v3/weatherstation/import

Import mean daily temperature readings for weather stations which are connected to EnergyCAP weather services

ImportWeatherDataV3 Permissions: WeatherSettings (Manage)

Other Remarks

By default, this endpoint may be called without parameters to import weather for all “used” weather stations (at least one building is assigned to it) beginning from the current date minus 31 days.

By providing a begin date, API users may go further back in history to backfill missing weather data.

If a weather station has no readings at all, then the begin date will be set to 1899-12-31 so we can import history

However the begin date is ascertained, readings will be imported from that date through today’s date, overwriting any existing readings or filling in any missing readings.

The API user may also provide a list of weather station codes. Even if the provided stations are not yet used, weather readings will be imported for them.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

WeatherImportSettings
Property Description Type
beginDate The begin date for the weather data Readings will be imported from this date through the current date If omitted or empty, weather data will be imported for the past 31 days string (date-time)
weatherStationCodes List of weather station codes for which to import data If omitted or empty, weather data will be imported for all weather stations which are assigned to buildings string[]
Example Request Body application/json
{  "beginDate": "2026-03-30",  "weatherStationCodes": [
    "string"
  ]
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

WeatherImportResult
Property Description Type
beginDate The begin date of the weather data that was imported string (date-time)
endDate The end date of the weather data that was imported string (date-time)
weatherStationSummaries List of weather stations and the number of readings that were imported for each WeatherStationSummary[]
WeatherStationSummary properties
Property Description Type
baseWeatherStationCode Source weather station code (if any) string
beginDate Begin date for this weather station May differ from the begin date provided by the user if the most recent weather reading for this station was earlier. string (date-time)
channelCode Channel code string
channelId Channel ID integer (int32)
channelIntervalInSeconds Channel interval in seconds integer (int32)
earliestReadingDate Earliest reading date imported for this weather station May differ from the begin date provided by the user if the most recent weather reading available for this station was later. string (date-time)
numberOfFailedReadings Number of readings failed to import integer (int32)
numberOfReadingsImported Number of readings imported integer (int32)
weatherStationCode Weather station code string
weatherStationId Weather station ID integer (int32)
weatherStationName Weather station name string
Example Response application/json
{  "beginDate": "2026-03-30",  "endDate": "2026-03-30",  "weatherStationSummaries": [
    {    "baseWeatherStationCode": "string",    "beginDate": "2026-03-30",    "channelCode": "string",    "channelId": 1,    "channelIntervalInSeconds": 1,    "earliestReadingDate": "2026-03-30",    "numberOfFailedReadings": 1,    "numberOfReadingsImported": 1,    "weatherStationCode": "string",    "weatherStationId": 1,    "weatherStationName": "string"
  }
  ]
}